Package org.eclipse.jgit.errors

## Class PackMismatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.PackMismatchException

All Implemented Interfaces:
  `Serializable`

    public class PackMismatchException
    extends IOException

Thrown when a PackFile no longer matches the PackIndex.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`PackMismatchException​(String why)` Construct a pack modification error.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PackMismatchException

    public PackMismatchException​(String why)

Construct a pack modification error.

Parameters:
  `why` - description of the type of error.